#!/bin/sh

script_name="collect.sh"

root_d="/usr/local/psa"
tmp_d="$root_d/var"
service_d="$root_d/service"

orig_file="$service_d/$script_name"
new_file="$tmp_d/$script_name"

install_script()
{
    local name="$1"
    local src="$2"
    local dst="$3"

    mkdir -p $dst

    cp -f $src/$name $dst/$name
    chown root:root $dst/$name
    chmod 0750 $dst/$name
}

if [ ! -f "$orig_file" ]; then
    install_script $script_name $tmp_d $service_d
    exit 0
fi

sum_orig="`md5sum $orig_file | awk '{print $1}'`"
sum_new="`md5sum $new_file | awk '{print $1}'`"

[ "$sum_orig" = "$sum_new" ] && exit 0

install_script $script_name $tmp_d $service_d
exit 0
